%define	name	steghide
%define	version	0.5.1
%define	release	3mdk

Summary:	A steganography program
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		http://steghide.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:         steghide-0.5.1-gcc34.patch.bz2
BuildRequires:	libmhash-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool-devel
BuildRequires:	zlib-devel
BuildRequires:  doxygen
#Requires:	libmhash2 libmcrypt4 libltdl3
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Steghide is a steganography program which embeds a secret message
in a cover file by replacing some of the least significant bits of
the cover file with bits of the secret message. After that, the
secret message is imperceptible and can only be extracted with the
correct passphrase. To increase invisibility the hidden bits are
encrypted (using the blowfish encryption algorithm) and
pseudo-randomly spreaded in the stego file. Steghide is able to
embed data in BMP, WAV and AU files.

%prep

%setup -q
%patch0 -p0

%build
aclocal-1.8
autoconf-2.5x
touch NEWS ChangeLog AUTHORS
automake-1.8 -a 
%configure

%make

%install
rm -rf %{buildroot}

# automake s**
cp mkinstalldirs ..
%makeinstall_std
# add the html docs
cp -r doc/doxygen/html .

# fix this
rm -rf %{buildroot}%{_datadir}/doc

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS CREDITS HISTORY INSTALL README TODO html
%{_bindir}/steghide
%{_mandir}/man1/steghide.1*

%changelog
* Fri Jul 16 2004 Michael Scherer <misc@mandrake.org> 0.5.1-3mdk 
- rebuild for new gcc ( patch 0 )

* Wed Nov 12 2003 Michael Scherer <scherer.michael@free.fr> 0.5.1-2mdk 
- BuildRequires ( zlib-devel, doxygen )

* Wed Oct 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5.1-1mdk
- 0.5.1
- use the %%configure2_5x macro
- add the html docs
- fix invalid-build-requires
- fix explicit-lib-dependency

* Thu Jul 24 2003 Michael Scherer <scherer.michael@free.fr> 0.4.5-3mdk 
- 
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.5-2mdk
- misc spec file fixes

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.5-1mdk
- new version

* Sun Dec 23 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.2-1mdk
- initial cooker contrib
